interactions:
- request:
    body: '{"apiVersion": "v1", "kind": "Namespace", "metadata": {"name": "tool-test-account-normal"}}'
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: POST
    uri: https://10.96.0.1/api/v1/namespaces
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"376023b7-e168-4374-acff-888d1cb8ce90","resourceVersion":"669871","creationTimestamp":"2024-11-05T14:52:22Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:52:22Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Active"}}

        '
    headers:
      Audit-Id:
      - cd3f5188-85dd-44c3-92e8-caf78d64ae01
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '560'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:52:22 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 201
      message: Created
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"376023b7-e168-4374-acff-888d1cb8ce90","resourceVersion":"669871","creationTimestamp":"2024-11-05T14:52:22Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:52:22Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Active"}}

        '
    headers:
      Audit-Id:
      - cb074a41-5fff-47a8-bfaa-7a7284da3a5a
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '560'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:52:22 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: DELETE
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"376023b7-e168-4374-acff-888d1cb8ce90","resourceVersion":"669876","creationTimestamp":"2024-11-05T14:52:22Z","deletionTimestamp":"2024-11-05T14:52:22Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:52:22Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 1d475aeb-42ca-45f3-bb68-4cf3989880fe
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:52:22 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"376023b7-e168-4374-acff-888d1cb8ce90","resourceVersion":"669876","creationTimestamp":"2024-11-05T14:52:22Z","deletionTimestamp":"2024-11-05T14:52:22Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:52:22Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - cdff6e6a-2c8d-48c5-9824-e4e369be1b58
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:52:22 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"376023b7-e168-4374-acff-888d1cb8ce90","resourceVersion":"669876","creationTimestamp":"2024-11-05T14:52:22Z","deletionTimestamp":"2024-11-05T14:52:22Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:52:22Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 8a03eed7-9e4c-4437-a016-5b368f8251a3
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:52:23 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"376023b7-e168-4374-acff-888d1cb8ce90","resourceVersion":"669876","creationTimestamp":"2024-11-05T14:52:22Z","deletionTimestamp":"2024-11-05T14:52:22Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:52:22Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 43a636ba-80bb-49ba-a496-aa31ab799ec4
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:52:23 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"376023b7-e168-4374-acff-888d1cb8ce90","resourceVersion":"669876","creationTimestamp":"2024-11-05T14:52:22Z","deletionTimestamp":"2024-11-05T14:52:22Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:52:22Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - d555665e-978a-475c-a595-d1c187129405
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:52:24 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"376023b7-e168-4374-acff-888d1cb8ce90","resourceVersion":"669876","creationTimestamp":"2024-11-05T14:52:22Z","deletionTimestamp":"2024-11-05T14:52:22Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:52:22Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 18edc3eb-7b05-4039-9b38-522cc95780be
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:52:24 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"376023b7-e168-4374-acff-888d1cb8ce90","resourceVersion":"669876","creationTimestamp":"2024-11-05T14:52:22Z","deletionTimestamp":"2024-11-05T14:52:22Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:52:22Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 1a651a40-627e-4638-9936-7051774edc89
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:52:25 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"376023b7-e168-4374-acff-888d1cb8ce90","resourceVersion":"669876","creationTimestamp":"2024-11-05T14:52:22Z","deletionTimestamp":"2024-11-05T14:52:22Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:52:22Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 2065153e-3f48-4517-85e8-6e87aebc57f3
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:52:25 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"376023b7-e168-4374-acff-888d1cb8ce90","resourceVersion":"669876","creationTimestamp":"2024-11-05T14:52:22Z","deletionTimestamp":"2024-11-05T14:52:22Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:52:22Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 0d4867f1-b100-46ab-ba08-ff99aa885eef
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:52:26 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"376023b7-e168-4374-acff-888d1cb8ce90","resourceVersion":"669876","creationTimestamp":"2024-11-05T14:52:22Z","deletionTimestamp":"2024-11-05T14:52:22Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:52:22Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - ed3a4a7b-8742-4bbb-9b14-08c6daa25cc9
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:52:26 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"376023b7-e168-4374-acff-888d1cb8ce90","resourceVersion":"669876","creationTimestamp":"2024-11-05T14:52:22Z","deletionTimestamp":"2024-11-05T14:52:22Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:52:22Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - cad2e66d-4598-4f9b-b020-d4d27b0d0cd5
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:52:27 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Status","apiVersion":"v1","metadata":{},"status":"Failure","message":"namespaces
        \"tool-test-account-normal\" not found","reason":"NotFound","details":{"name":"tool-test-account-normal","kind":"namespaces"},"code":404}

        '
    headers:
      Audit-Id:
      - 4faba269-cd58-401e-b158-81792189e2fe
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '228'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:52:27 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 404
      message: Not Found
version: 1
